take_back.hpp File Reference

Forward declares `boost::hana::take_back`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::take_back
| Returns the last `n` elements of a sequence, or the whole sequence if the sequence has less than `n` elements.Given a `Sequence` `xs` and an `IntegralConstant` `n`, `take_back(xs, n)` is a new sequence containing the last `n` elements of `xs`, in the same order. If `length(xs) <= n`, the whole sequence is returned and no error is triggered. More...

## Detailed Description

Forward declares `boost::hana::take_back`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)